package com.seeyon.apps.qrCodeForm;

import com.seeyon.apps.common.plugin.api.APluginInfoApi;
import com.seeyon.apps.common.plugin.vo.ConfigVo;
import com.seeyon.apps.qrCodeForm.constant.QrCodeFormConstants;

/**
 * 功能描述:<br>
 * <pre>
 *
 * </pre>
 *
 * @Author: FanGaowei
 * @Date: 2022/8/11
 */
public class QrCodeFormPluginApi extends APluginInfoApi {

    @Override
    public String getPluginId() {
        return QrCodeFormConstants.getPluginId();
    }

    @Override
    public String getCreateUser() {
        return "致威互联";
    }

    @Override
    public String getDescription() {
        return "微信扫码制单";
    }

    @Override
    public ConfigVo getDefaultConfig() {
        ConfigVo configVo = new ConfigVo();
        for (QrCodeFormConstants value : QrCodeFormConstants.values()) {
            if(value != QrCodeFormConstants.plugin) {
                configVo.getDevParams().put(value.name(), value.getDefaultValue());
                configVo.getProdParams().put(value.name(), value.getDefaultValue());
                configVo.getParamMap().put(value.name(), value.getDescription());
            }
        }
        return configVo;
    }
}
